<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="2.0">
  <!-- Use grouping.html as source document. All
       other sample stylesheets use grouping.xml. -->
  <xsl:template match="body">
    <body>
      <xsl:for-each-group select="*" group-starting-with="h1">
        <chapter>
        <xsl:for-each select="current-group()">
          <xsl:copy>
            <xsl:apply-templates/>
          </xsl:copy>
        </xsl:for-each>
        </chapter>
      </xsl:for-each-group>
    </body>
  </xsl:template>

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>


</xsl:stylesheet>
